%define upstream_name Net-Gadu
%define upstream_version 1.9

Summary:	Perl module to support Gadu-Gadu protocol
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
License:	LGPLv2+
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	libgadu-devel
BuildRequires:  chrpath


%description
Net-Gadu is a perl module. It is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
make test

%install
%makeinstall_std
find %{buildroot}%{perl_vendorarch} -type f | xargs chmod u+w
install ex/ex1 example.pl
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Net/Gadu/Gadu.so

%files
%doc Changes README example.pl contrib
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/man3/Net::Gadu.3pm*


%changelog

* Sun Jan 29 2012 kamil <kamil> 1.900.0-4.mga2
+ Revision: 202926
- rebuild against libgadu-1.11.1
- clean .spec

* Sun Jun 12 2011 sander85 <sander85> 1.900.0-3.mga2
+ Revision: 104833
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.900.0-2.mga1
+ Revision: 30900
- mageia rebuild
- imported package perl-Net-Gadu

